Bug 477980 - Underquoted AM_PATH_AUTOTRACE definition
Underquoted AM_PATH_AUTOTRACE definition
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: autotrace (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-26 17:06 EST by Jerry James
Modified: 2009-08-04 20:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.31.1-23.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-04 20:28:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2008-12-26 17:06:23 EST
Description of problem:
On systems with autotrace-devel installed, any use of autoreconf generates this warning:

/usr/share/aclocal/autotrace.m4:7: warning: underquoted definition of AM_PATH_AUTOTRACE
/usr/share/aclocal/autotrace.m4:7:   run info '(automake)Extending aclocal'
/usr/share/aclocal/autotrace.m4:7:   or see http://sources.redhat.com/automake/automake.html#Extending-aclocal

This happens even if the project in question does not use autotrace.  The problem is that line 7 in /usr/share/aclocal/autotrace.m4:

AC_DEFUN(AM_PATH_AUTOTRACE,

should read like this:

AC_DEFUN([AM_PATH_AUTOTRACE],

Version-Release number of selected component (if applicable):
autotrace-devel-0.31.1-18.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install autotrace-devel
2. In any directory for an autoconf-using project, run autoreconf
  
Actual results:
The warning described above is given.

Expected results:
Autoreconf should run silently.

Additional info:
Comment 1 Jerry James 2009-05-13 12:55:16 EDT
This bug is still present in today's Rawhide.  Could you fix it for F-11, please?
Comment 2 Bug Zapper 2009-06-09 06:30:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Peter Lemenkov 2009-06-19 14:11:51 EDT
I'll take care of this issue.
Comment 4 Fedora Update System 2009-07-27 10:52:04 EDT
autotrace-0.31.1-23.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/autotrace-0.31.1-23.fc10
Comment 5 Fedora Update System 2009-07-27 10:52:09 EDT
autotrace-0.31.1-23.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/autotrace-0.31.1-23.fc11
Comment 6 Fedora Update System 2009-07-28 14:23:27 EDT
autotrace-0.31.1-23.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update autotrace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8056
Comment 7 Fedora Update System 2009-07-28 14:27:40 EDT
autotrace-0.31.1-23.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update autotrace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8070
Comment 8 Fedora Update System 2009-08-04 20:28:54 EDT
autotrace-0.31.1-23.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-08-04 20:36:18 EDT
autotrace-0.31.1-23.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.